Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/mhddfs: new aport

From: Zsolt M <zsolt_at_meszarovics.me>
Date: Sun, 13 Mar 2016 13:11:46 +0000

http://mhddfs.uvw.ru/
A fuse-based file system for unifying several mount points into one.
---
 testing/mhddfs/APKBUILD           | 48 +++++++++++++++++++++++++++++++++++++++
 testing/mhddfs/local-uthash.patch | 21 +++++++++++++++++
 2 files changed, 69 insertions(+)
 create mode 100644 testing/mhddfs/APKBUILD
 create mode 100644 testing/mhddfs/local-uthash.patch
diff --git a/testing/mhddfs/APKBUILD b/testing/mhddfs/APKBUILD
new file mode 100644
index 0000000..5d662cf
--- /dev/null
+++ b/testing/mhddfs/APKBUILD
_at_@ -0,0 +1,48 @@
+# Contributor: Zsolt M <zsolt_at_meszarovics.me>
+# Maintainer:
+pkgname=mhddfs
+pkgver=0.1.39
+pkgrel=0
+pkgdesc="A fuse-based file system for unifying several mount points into one."
+url="http://mhddfs.uvw.ru"
+arch="all"
+license="GPL3"
+depends="fuse"
+depends_dev="fuse-dev attr-dev"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+_uthashver=1.9.9
+source="http://mhddfs.uvw.ru/downloads/${pkgname}_${pkgver}.tar.gz
+        saveas-https://github.com/troydhanson/uthash/archive/v${_uthashver}.tar.gz/uthash-v${_uthashver}.tar.gz
+        local-uthash.patch"
+_builddir="$srcdir"/${pkgname}-${pkgver}
+
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	srcdir=${srcdir} make
+}
+
+package() {
+	cd "$_builddir"
+	install -Dsm755 mhddfs "$pkgdir"/usr/bin/${pkgname}
+}
+md5sums="efc43fa9b4c1437bb233149bd624a459  mhddfs_0.1.39.tar.gz
+c3ce9197c818dcb7ca85b59912f310a4  uthash-v1.9.9.tar.gz
+79f1cbe1b25e9e7d096614959aa5d420  local-uthash.patch"
+sha256sums="702fc5486460c1828898426b1935179ce60bc1ed16fc8bc575c9ec1d12acef91  mhddfs_0.1.39.tar.gz
+f2f10115f4de03b98d8c2e860e241d165aa15019bd634ee0e3debe58341bbf0c  uthash-v1.9.9.tar.gz
+8243c699e243da20f8cb03ebf43548a069fe4b5737bc1e5841c816383708cfea  local-uthash.patch"
+sha512sums="cf1952e665e82a92ccfef9215d4faf78cd235566b67e6ebc3a60ab53089d9391bc41a08e6b203ad052e4a08bdd14428f2d9abe48f341aeb0c80ae1da80f83f89  mhddfs_0.1.39.tar.gz
+40b888529db6baba7bdb0a11c3f782719c40470f6b8e4d75ed480c4c465606e990abf65786156a93f4e2f9c8805cbc098550cc3c62e33b7345fa5bf6d146a8c4  uthash-v1.9.9.tar.gz
+e288ab2efad8955e621460e46dc6ec7c14f6471498ec3df6900fad00bfbb91d3ba9cabed10f17257c6aa15f5be6558c75d4220e57b935beb1cef0893d7a9bbab  local-uthash.patch"
diff --git a/testing/mhddfs/local-uthash.patch b/testing/mhddfs/local-uthash.patch
new file mode 100644
index 0000000..d9322d4
--- /dev/null
+++ b/testing/mhddfs/local-uthash.patch
_at_@ -0,0 +1,21 @@
+--- mhddfs-0.1.39/Makefile.orig
++++ mhddfs-0.1.39/Makefile
+_at_@ -9,7 +9,7 @@
+ #  This program is distributed in the hope that it will be useful,
+ #  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+-#  GNU General Public License for more details.
++	#  GNU General Public License for more details.
+ 
+ #  You should have received a copy of the GNU General Public License
+ #  along with this program.  If not, see <http://www.gnu.org/licenses/>.
+_at_@ -24,6 +24,9 @@
+ 
+ CFLAGS	=	-Wall $(shell pkg-config fuse --cflags) \
+ 			-DFUSE_USE_VERSION=26 -MMD
++
++CFLAGS	+=	-I${srcdir}/uthash-1.9.9/src
++
+ ifdef WITHOUT_XATTR
+ CFLAGS	+=	-DWITHOUT_XATTR
+ endif
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Mar 13 2016 - 13:11:46 GMT